package de.burdaciscom.mb.ap.dispatcher.dao;

import java.util.logging.Logger;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Component("apolloRequestDao")
public class ApolloRequestDaoImpl implements ApolloRequestDao {

    private static final Logger LOG = Logger.getLogger(ApolloRequestDaoImpl.class.getName());

    @PersistenceContext
    private EntityManager entityManager;

    @Override
    @Transactional
    public void markNewRequestsAsInProcess() {
        Query query = entityManager.createQuery("update ApMbsRequest r "
                + "set r.mbRequestId = :newId where r.mbRequestId = :oldId");
        query.setParameter("newId", "2");
        query.setParameter("oldId", "1");
        query.executeUpdate();
        
        LOG.info("Updated mbRequestStatCd");
    }

}
